using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.DTableBBS
{
	/// <summary>
	/// showinfo 的摘要说明。
	/// </summary>
	public class showinfo : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label L_title;
		protected System.Web.UI.WebControls.Label L_title1;
		protected System.Web.UI.WebControls.Label L_mg;
		protected System.Web.UI.WebControls.Label L_bbsname;
		protected System.Web.UI.WebControls.Label L_text;
		
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			L_bbsname.Text=sharecode.strBBSName;
			string strid=sharecode.GetQueryStringValue("id");
			if(!sharecode.IsNumeric(strid))
			{
				sharecode.OutMsgBox("传入的参数错误!",true);

			}
			string strfbr="";
			string strb="";
			
            System.Data.SqlClient.SqlConnection oconn=new System.Data.SqlClient.SqlConnection(sharecode.ConnStr);
			System.Data.SqlClient.SqlCommand mycmd=new System.Data.SqlClient.SqlCommand("select id,广播主题,广播内容,发布人,发布时间,点击率,所属栏目 from DTable_BBS_info where id=" + strid + " and  '" + System.DateTime.Now.ToString() + "' between 开始时间 and 结束时间",oconn);
			oconn.Open();
			System.Data.SqlClient.SqlDataReader myreader=mycmd.ExecuteReader();
			
			if(myreader.Read())
			{
				L_title.Text=myreader.GetValue(1).ToString();
				L_title1.Text=L_title.Text;
				if(!myreader.IsDBNull(3)){strfbr=myreader.GetValue(3).ToString();}	
				if(!myreader.IsDBNull(6)){strb=myreader.GetValue(6).ToString();}
				L_text.Text=(myreader.GetValue(2).ToString() + "<br><br><strong>阅读:</strong>" + myreader.GetValue(5).ToString() + "<br>" + myreader.GetValue(3).ToString() + "发布于" + myreader.GetValue(4).ToString());

				
			}
			myreader.Close();
			mycmd.CommandText="update DTable_BBS_info set 点击率=点击率+1 where id=" + strid;
			try
			{
				mycmd.ExecuteNonQuery(); 
			}
			catch
			{
			}
			mycmd.Dispose();
			oconn.Close();
			oconn.Dispose();
			if(strfbr==sharecode.GetSessionValue(sharecode.strUserSName) || sharecode.GetSessionValue(sharecode.strSuperAdminSName)!="")//如果是本人发布的公告或者是超级管理员
			{
				L_mg.Text="[<a href=update.aspx?b=" + strb + "&id=" + strid + "&op=ggedt&meditid=" + strid + "&furl=" + Page.Request.Url.AbsoluteUri.ToString()  + ">更新公告</a>]";
			}


		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
